select
    an.numero as numero_matriz,
    an.nome as nome_matriz,
    an.nomecompleto as nome_completo_matriz,
    an.regassocraca as registo,
    lac.dtfim as secagem_do_parto,
    rep.data as data_parto,
    tp.descricao as tipo_parto,
    (case when rep.cdreproducao in
        (select distinct cdreproducao from animal) then
            (select first 1 an.numero from animal an where an.cdreproducao = rep.cdreproducao) else null end) as cria,
     (case when rep.cdreproducao in
        (select distinct cdreproducao from animal) then
            (select first 1 an.sexo from animal an where an.cdreproducao = rep.cdreproducao) else rep.sexocria1 end) as sexo,
    cob.data as data_ia_cob_gerou_parto,
    pes.nome as inseminador,   
    tpcob.descricao as tipo_tentativa,
    tou.numero as numero_touro,
    tou.nome as nome_touro,
    tou.regassocraca as registro_touro
from
    animal an
    join reproducao rep on rep.cdanimal = an.cdanimal
    join tipoparto tp on tp.cdtipoparto = rep.cdtipoparto
    left join reproducao cob on cob.cdreproducao =
        (select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao in (1,2,3) and re.cdanimal = rep.cdanimal
            and re.data < rep.data order by re.data desc)
    left join animal tou on tou.cdanimal = cob.cdreprodutor
    left join tiporeproducao tpcob on cob.cdtiporeproducao = tpcob.cdtiporeproducao
    left join lactacao lac on lac.cdlactacao =
   (select first 1 re.cdlactacao from lactacao re where re.cdanimal = rep.cdanimal and re.dtfim < rep.data order by re.dtfim desc)
   left join pessoa pes on pes.cdpessoa = cob.cdpessoa
where
    rep.cdtiporeproducao = 7  and
-----INFORME O PERODO DE PARTO AQUI, CONFORME DESEJADO. MANTENHA O FORMATO DA DATA 'AAAA-MM-DD'.
    rep.data between '2010-01-01' and '2017-09-30'
order by
    rep.data